org.h2.command.dml

## Class Delete

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.Delete

    public class Delete
    extends Prepared

This class represents the statement DELETE

### Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`Delete(Session session)`

### Method Summary

Methods
`Expression` `getCondition()`
`java.lang.String` `getPlanSQL()` Get the SQL statement with the execution plan.
`TableFilter` `getSourceTableFilter()`
`TableFilter` `getTableFilter()`
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isCacheable()`
`boolean` `isTransactional()` Check if this command is transactional.
`void` `prepare()` Prepare this statement.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setCondition(Expression condition)`
`void` `setLimit(Expression limit)`
`void` `setSourceTableFilter(TableFilter sourceTableFilter)`
`void` `setTableFilter(TableFilter tableFilter)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getSession, getSQL, getSQL, getSQL, isQuery, isReadOnly, needRecompile, query, setCommand, setCteCleanups, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Delete

    public Delete(Session session)

### Method Detail

#### setTableFilter

    public void setTableFilter(TableFilter tableFilter)

#### setCondition

    public void setCondition(Expression condition)

#### getCondition

    public Expression getCondition()

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### getPlanSQL

    public java.lang.String getPlanSQL()

Description copied from class: `Prepared`
Get the SQL statement with the execution plan.

Overrides:
  `getPlanSQL` in class `Prepared`
Returns:
  the execution plan

#### prepare

    public void prepare()

Description copied from class: `Prepared`
Prepare this statement.

Overrides:
  `prepare` in class `Prepared`

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

#### setLimit

    public void setLimit(Expression limit)

#### isCacheable

    public boolean isCacheable()

Overrides:
  `isCacheable` in class `Prepared`

#### setSourceTableFilter

    public void setSourceTableFilter(TableFilter sourceTableFilter)

#### getTableFilter

    public TableFilter getTableFilter()

#### getSourceTableFilter

    public TableFilter getSourceTableFilter()